LogHarbour: logging - Task #17966

Ul: screen to show datachange logs with filters
18/02/2024 03:12 AM - Shuvam Misra

Status: Closed Start date:

Priority: Normal Due date: 12/04/2024
Assignee: Sufiyaan Shaik % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Sprint 12 Apr

Description

The screen should allow an operator to pull out data-change logs done by a specific user, or for a specific object instance, or for a

specific field of an object instance, over a specific date range.

Related issues:
Copied from LogHarbour: logging - Task #17965: Ul: screen to show activity lo... Testing
Copied to LogHarbour: logging - Task #17967: Ul: screen to show debug logs Testing

12/04/2024
26/04/2024

Associated revisions

Revision 326e630a - 05/04/2024 03:33 PM - Sufiyaan Shaik

refs redmine #17966 Added: Designed dropdown for app class and entity Id and more

Revision 952a3dac - 11/04/2024 08:17 AM - Sufiyaan Shaik

refs redmine #17966 Added:Set up mockoon for datachange logs, created env file and service file for api calling

Revision 57de70f6 - 15/04/2024 06:19 PM - Adarsh Shukla
refs redmine #17966, Added Ul list view of datachange logs.

Revision 1c8d8fb6 - 15/04/2024 06:24 PM - Adarsh Shukla
refs redmine #17966, Added Ul list view of datachange logs.

Revision b87e9ff8 - 17/04/2024 11:20 AM - Adarsh Shukla
refs redmine #17966, Changed Ul screen.

Revision 85b8156e - 18/04/2024 06:34 PM - Sufiyaan Shaik
refs redmine #17966 Modified:Some changes done in the Ul(for filter fields)

Revision 34d8665b - 22/04/2024 06:20 PM - Adarsh Shukla
refs redmine #17965 and #17966, Added API integrations of both issues.

Revision 4a8eaf2a - 23/04/2024 06:31 PM - Sufiyaan Shaik
refs redmine #17966 Ul completed for dataChangelLog

Revision 487fad4f - 24/04/2024 06:39 PM - Adarsh Shukla
refs redmine #17965 and #17966, Validations check and Ul fixes.

Revision 2dde1665 - 02/05/2024 06:18 PM - Sufiyaan Shaik

refs: redmine #17966 Added:Miscellaneous feature i18n

Revision 2343e0e8 - 07/05/2024 06:17 PM - Sufiyaan Shaik

refs redmine #17966 Added:Google maps for unusuallP addresses

History

#1 - 18/02/2024 03:12 AM - Shuvam Misra
- Copied from Task #17965: Ul: screen to show activity logs with filters added

29/04/2025
#2 - 18/02/2024 03:13 AM - Shuvam Misra
- Copied to Task #17967: Ul: screen to show debug logs added

#3 - 04/04/2024 11:42 AM - Sufiyaan Shaik
- Assignee set to Adarsh Shukla

- Status changed from New to In Progress

#4 - 04/04/2024 06:25 PM - Sufiyaan Shaik
- % Done changed from 0 to 20

Today me and adarsh started with developing design for the Ul screen to show datachange logs, its starts with app, class, entity id and then field.
days and user

#5 - 04/04/2024 06:30 PM - Sufiyaan Shaik
- Assignee changed from Adarsh Shukla to Sufiyaan Shaik

#6 - 05/04/2024 07:25 PM - Sufiyaan Shaik
- % Done changed from 20 to 30

Today we developed the Ul screen for datachange log, need to discuss some issue with sachin and then we have to populate the data accordingly,
Committed the code today in the logHarbour-Ui repo

#7 - 11/04/2024 08:19 AM - Sufiyaan Shaik
- % Done changed from 30 to 40

Had a meeting, discussed regarding datachange log, committed the code
#8 - 15/04/2024 06:18 PM - Sufiyaan Shaik
Toady me and adarsh, designed the list screen of data change logs, currently we have used the hard coded data. As we have some doubts which

needs to be cleared regarding Ul and API's

#9 - 17/04/2024 06:27 PM - Sufiyaan Shaik

Today me and adarsh started designing with the showactivity log screen #17965. Fixed some bugs in crux-ui and created ucc_workflow example

#10 - 22/04/2024 06:11 PM - Sufiyaan Shaik
- % Done changed from 40 to 80

Today we have completed API integration for dataChangelLog

#11 - 23/04/2024 06:35 PM - Sufiyaan Shaik
- % Done changed from 80 to 100

- Status changed from In Progress to Closed

Today we had a meeting to discuss the further Ul screens and discussed some bugs faced currently.
